Loading...
Searching...
No Matches
gridfire::expectations::EngineIndexError Struct Reference

`#include <expected_engine.h>`

Inheritance diagram for gridfire::expectations::EngineIndexError:
[legend]
Collaboration diagram for gridfire::expectations::EngineIndexError:
[legend]

## Public Member Functions

| EngineIndexError (const int index)
Public Member Functions inherited from gridfire::expectations::EngineError
| EngineError (std::string message, const EngineErrorTypes type)
virtual | ~EngineError ()=default

## Public Attributes

int | m_index
Public Attributes inherited from gridfire::expectations::EngineError
std::string | m_message
const EngineErrorTypes | type = EngineErrorTypes::FAILURE

## Friends

std::ostream & | operator<< (std::ostream &os, const EngineIndexError &e)

## Constructor & Destructor Documentation

## EngineIndexError()

gridfire::expectations::EngineIndexError::EngineIndexError | ( | const int | index | ) |

inlineexplicit

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const EngineIndexError & | e )

friend

## Member Data Documentation

## m_index

int gridfire::expectations::EngineIndexError::m_index

The documentation for this struct was generated from the following file:

- src/include/gridfire/expectations/expected_engine.h